- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::Game Class Reference

基本的なグラフィックデバイスの初期化、ゲームロジック、レンダリングコードを提供する More...

`#include <BuddhaGame.h>`

List of all members.

## Public Member Functions
| Game (void)
| コンストラクタ
virtual | ~Game ()
| デストラクタ
void | _Update (void)
virtual void | Update (const GameTime &gameTime)=0
| ゲームロジックの処理が必要なときに呼び出される。オーバーライドして、ゲーム・ロジックを実装する。
virtual void | Draw (const GameTime &gameTime)=0
| １フレームの描画が必要なときに呼び出される。オーバーライドして、レンダリングコードを実装する。
virtual void | LoadGraphicsContent (bool loadAllContent)
| ゲームが持つグラフィックコンテンツをロードする
virtual void | UnloadGraphicsContent (bool unloadAllContent)
| ゲームが持っているグラフィックコンテンツを解放する
GameComponentCollection * | GetComponents (void) const
| コンポーネントコレクションを取得
bool | IsActive (void)
| このゲームが現在のアクティブアプリケーションかどうか
GameServiceContainer * | GetServices (void) const
GameWindow * | GetWindow (void) const
| 基本的なオペレーションシステムのウィンドウを取得
## Protected Member Functions
virtual void | Initialize (void)=0
| ゲームの初期化を行う
## Protected Attributes
GameComponentCollection * | m_pComponents
| コンポーネントコレクションへのポインタ
GameServiceContainer * | m_pServices

## Detailed Description

基本的なグラフィックデバイスの初期化、ゲームロジック、レンダリングコードを提供する

## Member Function Documentation

virtual void BuddhaLib::Game::Initialize | ( | void |  | ) | `[protected, pure virtual]`

ゲームの初期化を行う

Attention:
  この時点ではグラフィックデバイスは初期化されていないため、注意すること

void BuddhaLib::Game::_Update | ( | void |  | ) |

TODO

virtual void BuddhaLib::Game::LoadGraphicsContent | ( | bool | loadAllContent | ) | `[inline, virtual]`

ゲームが持つグラフィックコンテンツをロードする

Remarks:
  このメンバ関数は、必要に応じて基底クラスより呼びだされます。

- Game::Update() のループが開始される前に、 loadAllContent = true で、このメンバ関数が 呼びだされます。その際、コンポーネントコレクションにコレクションがあれば、先にコレク ションの DrawableGameComponent::LoadGraphicContent() を呼びだします。
- デバイスの消失などにより、一度グラフィックコンテンツを最確保しなければならなくなった 場合、loadAllContent = false でこの関数が呼びだされます。その場合、先にコンポーネン トのロードが行われ、最後に Game クラスのアンロードが呼びだされます。

Parameters:

  | loadAllContent | true のとき、自動メモリ管理のグラフィックコンテンツもロードする

virtual void BuddhaLib::Game::UnloadGraphicsContent | ( | bool | unloadAllContent | ) | `[inline, virtual]`

ゲームが持っているグラフィックコンテンツを解放する

Remarks:
  このメンバ関数は、必要に応じて基底クラスより呼びだされます。

- デバイスの消失などにより、一度グラフィックコンテンツを解放しなければならない場合、 unloadAllContent = false でこの関数が呼びだされます。その場合、先にコンポーネント コレクションのアンロードが行われ、最後に Game クラスのアンロードが呼びだされます。
- アプリケーションが終了する際に、 unloadAllContent = true でこの関数が呼びだされます。 この場合、コンポーネントコレクションのアンロードは呼びだされません。

Parameters:

  | unloadAllContent | true のとき、自動メモリ管理のグラフィックコンテンツも解放する

GameServiceContainer * BuddhaLib::Game::GetServices | ( | void |  | ) | const`[inline]`

## Member Data Documentation

GameServiceContainer* BuddhaLib::Game::m_pServices`[protected]`